<?php
if (!$C->LOGIN_WITH_YAHOO) {
	$this->redirect($C->SITE_URL);	
} else {	
	require_once("yahoo/openid.php");
	
	$callback = $C->SITE_URL.'oauthyahooData';
	
	$yahoo = new LightOpenID($C->YH_DOMAIN_MAIN);
	
	$yahoo->identity = 'https://me.yahoo.com';
	$yahoo->required = array(
						'namePerson',
						'namePerson/first',
						'namePerson/last',
						'contact/email');

	$yahoo->returnUrl = $callback;

	$this->redirect($yahoo->authUrl());
}
?>